Skip to main content
GET
/
contacts
/
{contact_id}
Retrieve a contact
curl --request GET \
  --url https://api.pulsewave.dev/v1/contacts/{contact_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ct_5n2p9x",
  "object": "contact",
  "email": "jsmith@example.com",
  "phone_number": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "subscribed": true,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Path Parameters

contact_id
string
required
Example:

"ct_5n2p9x"

Response

The requested contact

id
string
Example:

"ct_5n2p9x"

object
enum<string>
Available options:
contact
email
string<email>
phone_number
string | null
first_name
string | null
last_name
string | null
subscribed
boolean

Whether this contact can currently receive messages

metadata
object
created_at
string<date-time>